<mat-card [class.overlapping]="course.isOverlapping">
  <!-- <mat-card overlapping> -->
  <div>
    <mat-card-content ngClass="coursenumber">{{ course.id }}</mat-card-content>
    <mat-card-title>{{ course.type + " " + course.title }}</mat-card-title>
    <div ngClass="datediv">
      <mat-icon>date_range</mat-icon>
      <mat-card-content ngClass="date">{{ course.getTime() }}</mat-card-content>
    </div>
    <div ngClass="profdiv">
      <mat-icon>account_box</mat-icon>
      <mat-card-content ngClass="prof">{{ course.professor }}</mat-card-content>
    </div>
    <div ngClass="buttons">
      <button (click)="buttonToggle()" mat-raised-button>
        <mat-icon>{{ course.icon }}</mat-icon>
      </button>
    </div>
  </div>
</mat-card>
<mat-divider></mat-divider>
